# Uses of Enum Class
org.bukkit.event.player.PlayerRespawnEvent.RespawnFlag

Packages that use PlayerRespawnEvent.RespawnFlag
Package
Description
org.bukkit.event.player
`Events` relating to `players`.

## Uses of PlayerRespawnEvent.RespawnFlag in org.bukkit.event.player

Methods in org.bukkit.event.player that return PlayerRespawnEvent.RespawnFlag
Modifier and Type
Method
Description
`static PlayerRespawnEvent.RespawnFlag`
PlayerRespawnEvent.RespawnFlag.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerRespawnEvent.RespawnFlag[]`
PlayerRespawnEvent.RespawnFlag.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.event.player that return types with arguments of type PlayerRespawnEvent.RespawnFlag
Modifier and Type
Method
Description
`Set<PlayerRespawnEvent.RespawnFlag>`
PlayerRespawnEvent.`getRespawnFlags()`
Get the set of flags that apply to this respawn.
Constructor parameters in org.bukkit.event.player with type arguments of type PlayerRespawnEvent.RespawnFlag
Modifier
Constructor
Description
``
`PlayerRespawnEvent(@NotNull Player respawnPlayer, @NotNull Location respawnLocation, boolean isBedSpawn, boolean isAnchorSpawn, ImmutableSet.Builder<PlayerRespawnEvent.RespawnFlag> respawnFlags)`